- Qt 6.8
- Qt Quick 3D
- QML Types
- Pass
- Qt Quick 3D | Commercial or GPLv3

# Pass QML Type

Defines a render pass in an Effect. More...

Import Statement: | `import QtQuick3D`

- List of all members, including inherited members

## Properties

- commands : list
- output : Buffer
- shaders : list

## Detailed Description

An Effect may consist of multiple render passes. Each render pass has a setup phase where the list of render commands are executed, a output buffer and a list of shaders to use for rendering the effect.

See the documentation for Effect for more details on how to set up multiple rendering passes.

## Property Documentation

commands : list

Specifies the list of render commands of the pass.

output : Buffer

Specifies the output buffer of the pass.

shaders : list

Specifies the list of shaders of the pass.